Workflow Jobs

Retrieve the jobs of a specific campaign

Requires the CAMPAIGNOVERVIEW security role.

get
https://{your-bynder-domain}/api/workflow/campaigns/{id}/jobs

Query Parameters

dateCreatedFromstring(date-time)

Retrieve jobs created after this date. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

Example:2020-01-01T12:00:00Z

dateCreatedTostring(date-time)

Set a date range together with the “dateCreated” parameter. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

Example:2020-01-01T12:00:00Z

dateModifiedFromstring(date-time)

Retrieve jobs modified after this date. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

Example:2020-01-01T12:00:00Z

dateModifiedTostring(date-time)

Set a date range together with the “dateModified” parameter. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

Example:2020-01-01T12:00:00Z

deadlineFromstring(date-time)

Retrieve jobs with a deadline after this date. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

Example:2020-01-01T12:00:00Z

deadlineTostring(date-time)

Retrieve jobs with a deadline before this date. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

Example:2020-01-01T12:00:00Z

resonsibleIDsstring

Example:00000000000000000000000000000000,00000000000000000000000000000000

accountableIDsstring

Example:00000000000000000000000000000000,00000000000000000000000000000000

statusstring

Example:Approved,NeedsChanges

orderBystring

Example:dateModified desc

limitinteger

Example:100

pageinteger

Example:1

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000-000000000000

Response

200 application/json

Successful response

accountableIDstring
basedOnPresetstring
bookedMinutesnumber
campaignIDstring
createdByIDstring
dateCreatedstring
dateFinishedstring
dateModifiedstring
deadlinestring
descriptionstring
idstring
jobFinishedHistoryarray[object]
Show Child Parameters
jobKeystring
jobMetapropertiesobject
job_active_stageobject
Show Child Parameters
job_next_stageobject
Show Child Parameters
job_previous_stageobject
Show Child Parameters
job_stagesarray[object]
Show Child Parameters
namestring
presetIDstring
get/api/workflow/campaigns/{id}/jobs
 
200 application/json

Job media

Retrieve media of specific job

Requires the JOBOVERVIEW security role.

get
https://{your-bynder-domain}/api/workflow/jobs/{id}/media

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000-000000000000

Response

200 application/json

Successful response

dateCreatedstring
dateModifiedstring
filenamestring
idstring
orientationstring
original_urlstring
previewsarray[object]
Show Child Parameters
responsible_namestring
statusstring
sub_versionsarray[object]
Show Child Parameters
uploader_namestring
versionnumber
versionParentIDstring
get/api/workflow/jobs/{id}/media
 
200 application/json

File upload

Upload a file to a workflow job

To upload a file to a workflow job it needs to be uploaded via the Upload file endpoint for modern stack. After completing the various steps described in the Upload file endpoint, the fileId retrieved from those steps is needed in this request to reference the file to the job. This file will be attached to the job only.
Warning: Requires the JOBEDIT security role.
Warning: Is only available for Files-Service portals.

post
https://{your-bynder-domain}/api/workflow-jobs/{id}/upload

Path Parameters

idstringrequired

The id of a Job.

Example:00000000-0000-0000-0000-000000000000

Body

application/json
assetIdstring

Id of the parent asset if this file is a new version of an asset

Example:00000000-0000-0000-0000-000000000002

fileIdstring

Id of the file to be saved to the job (to be retrieved from Upload file endpoint)

Example:00000000-0000-0000-0000-000000000001

fileSizenumber

Size of the file in bytes

Example:50000

namestring

Value to be used as filename

Example:example-name.jpg

Response

200 application/json

Successful response

mediaIdstring

Media ID of the uploaded file

Example:00000000000000000000000000000000

post/api/workflow-jobs/{id}/upload

Body

{}
 
200 application/json